Subject: Re: linux-next: build failure after merge of the vfs tree

From: David Howells <[email-masked]>
Date: Thu, 20 Sep 2018 17:20:58 +0100

Michael Ellerman <[email-masked]> wrote:

> I realise these are in samples rather than selftests, but what most of
> the selftests do is just #define the syscall number if it's not defined,
> so that you're not dependent on getting the headers.

The reason I don't want to do that is that syscall numbers aren't consistent
across arches - they aren't even consistent within arches.

I've made the VFS samples contingent on X86 in Kconfig for the moment.

David